Subject: bug#24471: 25.1.50; Error on empty PATH component

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Sep 2016 22:14:32 +0300

> From: Achim Gratz <[email-masked]>
> Date: Mon, 19 Sep 2016 21:06:38 +0200
> 
> I've updated from Emacs 24.5 to Emacs 25.1 this morning at work.
> Starting the new Emacs produced an error during initialization trying to
> process (directory-file-name nil).  The reason it turned out was that
> our IT department in their infinite wisdom had ended the system PATH
> with a ';'.  Emacs extended that path with ';/usr/bin/' (or something
> like that, I'm making this report from home), this created an empty path
> element that ended up at directory-file-name.  Emacs should sanitize the
> PATH if it can't process nil in downstream functions.

Please show the Lisp backtrace from the error, so that the path from
PATH to directory-file-name could be seen.

Thanks.